Function
moveValue
Assigns value to item.
moveValue(object, value)
moveValue(container, pos, value)
Include Headers
seqan/basic.h, seqan/sequence.h
Parameters

object | An object that holds a value or points to a value. Types: Container: ModifiedString, String Iterator: BottomUp Iterator, Iter, ModifiedIterator, TopDownHistory Iterator Holder, Holder
value | A value that is handed over to the item object holds or points to.
container | A container. Types: Container: ModifiedString, String char array
pos | Position of the item in container to that value is moved to.

Remarks
If object is a container (that is pos is not specified), the whole content of object is replaced by value.
This function is similar to move. The difference is, that moveValue just changes a value stored in object or the value object points to, while move changes the whole object.
This function possibly clears value. If value should be used further, consider to use assignValue instead.
Part of Concept
Container, Iterator
See Also
assignValue, move
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48